Categories:
  - Connectivity
  - Security
License: MIT
AuthorName: Zane Schepke
AuthorEmail: zanecschepke@gmail.com
SourceCode: https://github.com/zaneschepke/wgtunnel
IssueTracker: https://github.com/zaneschepke/wgtunnel/issues
Changelog: https://github.com/zaneschepke/wgtunnel/releases
Donate: https://ko-fi.com/zaneschepke

AutoName: WG Tunnel

RepoType: git
Repo: https://github.com/zaneschepke/wgtunnel.git

Builds:
  - versionName: 3.0.0
    versionCode: 30000
    commit: 1714618f0c237d69fd94197730c96d3cf5af377a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.0.2
    versionCode: 30002
    commit: 11aea3f1c45af85782fa746d56a104602fd3a159
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.0.3
    versionCode: 30003
    commit: ca3f3fd4392f6078695870c43f6c17d9d4c5d72e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.1.0
    versionCode: 31000
    commit: c8f2cfd758476cd05e50122544d20fc52cfaea3a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e 's/8.3-rc-2-bin/8.3-bin/' ../gradle/wrapper/gradle-wrapper.properties
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.1.1
    versionCode: 31100
    commit: 321730536d1f79b3742c8e497bf0b1def87263cd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e 's/8.3-rc-2-bin/8.3-bin/' ../gradle/wrapper/gradle-wrapper.properties
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.1.3
    versionCode: 31300
    commit: 77cd328a71b3671a4bbffe6329d6d396ddadd9e4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e 's/8.3-rc-2-bin/8.3-bin/' ../gradle/wrapper/gradle-wrapper.properties
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.1.4
    versionCode: 31400
    commit: 37bae82700f8733778a5a628372fd1603dab1f40
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e 's/8.3-rc-2-bin/8.3-bin/' ../gradle/wrapper/gradle-wrapper.properties
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.2.0
    versionCode: 32000
    commit: e0cce8fba4d4fd304bbad2ae07ca26a390a0eecd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

  - versionName: 3.2.1
    versionCode: 32100
    commit: c1aa4e3de2131156884f5c94a5d7f6979a977636
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' -e '/com.google.firebase/d' -e '/libs.androidx.core.google.shortcuts/d'
        build.gradle.kts
      - sed -i -e '/libs.google.services/d' -e '/libs.firebase/d' ../build.gradle.kts

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 3.2.1
CurrentVersionCode: 32100
